/* 13jul2004 adrian: Set-up mixer via Shell script
 */
 
#include <qapplication.h>
#include <stdlib.h>
// #include <mcheck.h>
#include "kphone.h"

int main( int argc, char **argv )
{
	// adrian: malloc trace on, env. var. MALLOC_TRACE gives the log-file
	// mtrace();
	
	// adrian: set-up mixer for acoustic echo cancellation
	system("/usr/local/bin/kphone_amixer.sh");

	int listenport = 5060;
	QString port = "";
	QString user = "";
	bool looseRoute = false;
	bool strictRoute = false;

	QApplication a( argc, argv );
	for ( int i = 0; i < a.argc(); i++ ) {
		if( QString( a.argv()[i] ) == "-u" ) {
			if( i+1 < a.argc() ) {
				user = QString( a.argv()[++i] );
			}
		} else if( QString( a.argv()[i] ) == "-p" ) {
			if( i+1 < a.argc() ) {
				port = QString( a.argv()[++i] );
			}
			listenport = port.toInt();
		} else if( QString( a.argv()[i] ) == "-l" ) {
			looseRoute = true;
		} else if( QString( a.argv()[i] ) == "-s" ) {
			strictRoute = true;
		}
	}
	KPhone *phone = new KPhone( listenport, user, looseRoute, strictRoute );
	a.setMainWidget( phone );
	phone->show();
	return a.exec();
}
